Framework: sync with upstream

Taken from: HardenedBSD
This commit is contained in:
Franco Fichtner 2021-06-11 16:13:09 +02:00
parent 59e92de8b3
commit 874c68ffef
7 changed files with 12 additions and 59 deletions

1
MOVED
View File

@ -16386,3 +16386,4 @@ net/py-python-glanceclient2|net/py-python-glanceclient|2021-06-10|Remove obsolet
net/py-python-keystoneclient3|net/py-python-keystoneclient|2021-06-10|Remove obsoleted port. Use net/py-python-keystoneclient instead
net/py-python-novaclient16|net/py-python-novaclient|2021-06-10|Remove obsoleted port. Use net/py-python-novaclient instead
print/py-pycups1|print/py-pycups|2021-06-10|Remove obsoleted port. Use print/py-pycups instead
lang/gcc8-devel|lang/gcc8|2021-06-11|GCC 8 reached end of life, use the final release (or a new major version)

View File

@ -55,7 +55,7 @@
#
#
# The following variables can be read by ports and must not be modified
#
#
# APACHE_VERSION The major-minor release version of the chosen
# Apache server, e.g. 2.2 or 2.4
#
@ -104,7 +104,7 @@ _APACHE_ARGS:= ${_APACHE_ARGS:Nrun}
_APACHE_ARGS= ${APACHE_DEFAULT}
. endif
# _APACHE_ARGS must now contain a version(-range)
. if !empty(_APACHE_ARGS:C/^2\.[0-9]//:S/^-//:C/^2\.[0-9]//:C/\+$//)
. if !empty(_APACHE_ARGS:C/^2\.[0-9]//:S/^-//:C/^2\.[0-9]//:C/\+$//)
IGNORE= ${_ERROR_MSG} Illegal use of USES= ${USES:Mapache*}
# Catch USES= apache:[min]-[max]+
. elif ${apache_ARGS:C/[.a-z0-9]//g} == "-+"
@ -372,7 +372,7 @@ show-modules:
.for module in ${AVAILABLE_MODULES}
@${PRINTF} "%-20s : " ${module}
. if ${APACHE_MODULES:M${module}}
@${ECHO} -n "enabled "
@${ECHO_CMD} -n "enabled "
. if !empty(WITH_STATIC_MODULES) && ${WITH_STATIC_MODULES:M${module}}
@${ECHO_CMD} " (static)"
. else
@ -404,11 +404,11 @@ _USES_build+= 490:ap-gen-plist
ap-gen-plist:
.if defined(AP_GENPLIST)
. if !exists(${PLIST})
@${ECHO} "===> Generating apache plist"
@${ECHO} "%%APACHEMODDIR%%/%%AP_MODULE%%" >> ${PLIST}
@${ECHO} "@postexec %D/sbin/apxs -e ${AP_MOD_EN} -n %%AP_NAME%% %D/%F" >> ${PLIST}
@${ECHO} "@postunexec ${SED} -i '' -E '/LoadModule[[:blank:]]+%%AP_NAME%%_module/d' %D/%%APACHEETCDIR%%/httpd.conf" >> ${PLIST}
@${ECHO} "@postunexec echo \"Don't forget to remove all ${MODULENAME}-related directives in your httpd.conf\"">> ${PLIST}
@${ECHO_MSG} "===> Generating apache plist"
@${ECHO_CMD} "%%APACHEMODDIR%%/%%AP_MODULE%%" >> ${PLIST}
@${ECHO_CMD} "@postexec %D/sbin/apxs -e ${AP_MOD_EN} -n %%AP_NAME%% %D/%F" >> ${PLIST}
@${ECHO_CMD} "@postunexec ${SED} -i '' -E '/LoadModule[[:blank:]]+%%AP_NAME%%_module/d' %D/%%APACHEETCDIR%%/httpd.conf" >> ${PLIST}
@${ECHO_CMD} "@postunexec echo \"Don't forget to remove all ${MODULENAME}-related directives in your httpd.conf\"" >> ${PLIST}
. endif
.endif
.endif

View File

@ -224,7 +224,7 @@ makenupkg:
eval url="\$${$${feed}_URL}$${0%%=*}/$${0##*=}/$${0%%=*}.$${0##*=}.nupkg"; \
fi; \
if curl --output /dev/null --silent --head --fail $$url; then\
${ECHO} $$0 >> ${WRKDIR}/nupkg-$$feed; \
${ECHO_CMD} $$0 >> ${WRKDIR}/nupkg-$$feed; \
found=yes; \
break; \
fi; \

View File

@ -305,7 +305,7 @@ fix-perl-things:
@(if [ -d ${STAGEDIR}${PACKLIST_DIR} ] ; then \
${FIND} ${STAGEDIR}${PACKLIST_DIR} -name .packlist | while read f ; do \
${SED} -i '' 's|^${STAGEDIR}||' "$$f"; \
${ECHO} $$f | ${SED} -e 's|^${STAGEDIR}||' >> ${TMPPLIST}; \
${ECHO_CMD} $$f | ${SED} -e 's|^${STAGEDIR}||' >> ${TMPPLIST}; \
done \
fi) || :

View File

@ -1,21 +0,0 @@
#!/bin/sh
PORTSDIR="${PORTSDIR:-/usr/ports}"
cd "$PORTSDIR" || exit 1
export IFS="${IFS}:"
grep -nv '#' "$PORTSDIR/LEGAL" | while read -r line _ port text
do
if [ ! -d "$port" ]
then
printf "%d (%s): port has been removed\\n" "$line" "$port"
continue
fi
actual_text="$(make -C "$port" -VLEGAL)"
if [ "$text" != "$actual_text" ]
then
printf "%d (%s): reason mismatch\\n" "$line" "$port"
fi
done

View File

@ -4,7 +4,6 @@ NOTE: These scripts need work and are *NOT* safe to use unless you know
script.
MOVEDlint.awk - checks MOVED for common errors
LEGALlint - checks LEGAL for common errors
ardiff - compare two archives easily
addport - replacement for easy-import
bad-pkgdescrs.sh - locate identical pkg descriptions

View File

@ -245,30 +245,6 @@ check_PRs()
return 0
}
# check if anything about the port is mentioned in ports/LEGAL
check_LEGAL()
{
catport=${1}
pkgname=${2}
for checkstr in ${pkgname} ${catport} ; do
msg="${catport}: checking if ${checkstr} is in ports/LEGAL"
log "${msg}"
while grep -i ${checkstr} LEGAL ; do
echo "" >&2
echo "${checkstr} is in ports/LEGAL" >&2
echo "remove it and hit <enter> when ready" >&2
echo "or hit 's' to skip this issue and continue anyway" >&2
read answer
if [ "${answer}" = "s" ] ; then
break
fi
log "${msg}"
done
done
${GIT} add LEGAL
}
# add port's entry to ports/MOVED
edit_MOVED()
{
@ -454,8 +430,6 @@ for catport in $* ; do
continue
fi
check_LEGAL ${catport} ${pkgname}
# everything seems ok, edit the files
edit_MOVED ${catport}
@ -483,7 +457,7 @@ while [ "${answer}" = "y" ] ; do
echo "you can now edit files by hand" >&2
answer=$(ask "do you want to recreate the diff")
if [ "${answer}" = "y" ] ; then
${GIT} add LEGAL MOVED
${GIT} add MOVED
fi
done